%ifos darwin
%define __soext	dylib
%else
%define __soext	so
%endif

Summary: A CRT screen handling and optimization package.
Name: ncurses
Version: 5.0
%define PATCHDATE 20000122
Release: 10a
Copyright: distributable
Group: System Environment/Libraries
Source0: ftp://ftp.clark.net/pub/dickey/ncurses/ncurses-%{version}.tar.gz
Source2: ncurses-linux
Source3: ncurses-linux-m
Source4: ncurses-resetall.sh
Patch0: ftp://ftp.clark.net/pub/dickey/ncurses/%{version}/ncurses-%{version}-19991030.patch.gz
Patch1: ftp://ftp.clark.net/pub/dickey/ncurses/%{version}/ncurses-%{version}-%{PATCHDATE}.patch.gz
Patch2: ncurses-5.0-oldmajor.patch
Patch10: ncurses-4.2-arm.patch
Patch12: ncurses-5.0-setuid2.patch
Patch13: ncurses-5.0-xtermchanges.patch
Patch14: ncurses-5.0-macosx.patch
BuildRoot: /var/tmp/%{name}-root

%description
The curses library routines are a terminal-independent method of
updating character screens with reasonable optimization.  The ncurses
(new curses) library is a freely distributable replacement for the
discontinued 4.4BSD classic curses library.

%package devel
Summary: The development files for applications which use ncurses.
Group: Development/Libraries
Requires: ncurses = %{PACKAGE_VERSION}

%description devel
The header files and libraries for developing applications that use
the ncurses CRT screen handling and optimization package.

Install the ncurses-devel package if you want to develop applications
which will use ncurses.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch10 -p1
%patch12 -p1
%patch13 -p1 -b .xtermchanges
%ifos darwin
%patch14 -p1 -b .macosx
%endif
find . -name "*.orig" -exec rm -f {} \;

%build
CFLAGS="%{optflags} -DPURE_TERMINFO"
%define optflags $CFLAGS
%ifos darwin
./configure \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--with-normal --with-shared --without-debug --without-profile \
	--without-cxx --without-ada
%else
%configure \
	--with-install-prefix=$RPM_BUILD_ROOT \
	--with-normal --with-shared --without-debug --without-profile \
	--without-cxx --without-ada
%endif
make

%install
%ifos darwin
export DYLD_LIBRARY_PATH=`pwd`/lib
%endif
rm -rf $RPM_BUILD_ROOT
make install includedir=%{_prefix}/include/ncurses

%ifos linux
ln -s ../l/linux $RPM_BUILD_ROOT%{_prefix}/share/terminfo/c/console
%endif
ln -s ncurses/curses.h $RPM_BUILD_ROOT%{_prefix}/include/ncurses.h
for I in curses unctrl eti form menu panel term; do
	ln -sf ncurses/$I.h $RPM_BUILD_ROOT%{_prefix}/include/$I.h
done

%ifarch sparc
install -m644 %SOURCE2 $RPM_BUILD_ROOT%{_prefix}/share/terminfo/l/linux
install -m644 %SOURCE3 $RPM_BUILD_ROOT%{_prefix}/share/terminfo/l/linux-m
%endif

%ifnos darwin
strip -R .comments $RPM_BUILD_ROOT%{_prefix}/bin/* || :
strip -R .comments --strip-unneeded $RPM_BUILD_ROOT%{_prefix}/lib/*.%{__soext}.4.0
%endif
make clean -C test

# the resetall script
%ifos darwin
install -c -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_prefix}/bin/resetall
%else
install -m 755 %{SOURCE4} $RPM_BUILD_ROOT%{_prefix}/bin/resetall
%endif

%ifnos darwin
%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig
%endif

%files
%ifos darwin
%defattr(-,root,wheel) 
%else
%defattr(-,root,root)
%endif
%doc README ANNOUNCE
%ifos darwin
%attr(755,root,wheel) %{_prefix}/lib/lib*.%{__soext}.*
%else
%attr(755,root,root) %{_prefix}/lib/lib*.%{__soext}.*
%endif
%{_prefix}/share/terminfo
%{_prefix}/share/tabset
%{_prefix}/bin/*
%{_prefix}/man/man1/*
%{_prefix}/man/man5/*
%{_prefix}/man/man7/*

%files devel
%ifos darwin
%defattr(-,root,wheel) 
%else
%defattr(-,root,root)
%endif
%doc c++ test
%doc misc/hackguide.html
%doc misc/ncurses-intro.html
%{_prefix}/lib/lib*.%{__soext}
%{_prefix}/lib/lib*.a
%{_prefix}/include/ncurses/*.h
%{_prefix}/include/*.h
%{_prefix}/man/man3/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Apr 21 2001 Keisuke Fujii <fujiik@jlcxuf.kek.jp>
- release 8a: 1st release built on MacOS X 10.0.01.

* Fri Feb 18 2000 Preston Brown <pbrown@redhat.com>
- xterm terminfo entries from XFree86 3.3.6
- final round of xterm fixes, follow debian policy.

* Sat Feb  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- strip libraries

* Thu Feb  3 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- More xterm fixes (Bug #9087)

* Thu Jan 27 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- More xterm fixes from Hans de Goede (Bug #8633)

* Sat Jan 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- remove some broken symlinks (leftovers from libncurses.so.5)
- Use %configure (Bug #8484)

* Tue Jan 11 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add xterm patch from Hans de Goede <hans@highrise.nl>
- Patch 20000108, this fixes a problem with a header file.

* Wed Jan  5 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Add 20000101 patch, hopefully finally fixing the xterm description

* Wed Dec 22 1999 Cristian Gafton <gafton@redhat.com>
- revert to the old major number - because the ABI is not changed (and we
  should be handling the changes via symbol versioning anyway)

* Fri Nov 12 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix a typo in spec
- Add the 19991006 patch, fixing some C++ STL compatibility problems.
- get rid of profiling and debugging versions - we need to save space...

* Thu Nov  4 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 5.0
- some spec cleanups to make updating easier
- add links *.so.5 to *.so.4 - they are fully binary compatible.
  (Why did they change the invocation number???)

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- make clean in the test dir - don't ship any binaries at all.

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- fixed stripping of test programs.

* Sun Aug 29 1999 Preston Brown <pbrown@redhat.com>
- removed 'flash' capability for xterm; see bug #2820 for details.

* Fri Aug 27 1999 Cristian Gafton <gafton@redhat.com>
- add the resetall script from Marc Merlin <marc@merlins.org>

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- added iris-ansi-net as alias for iris-ansi (bug #2561)

* Fri Jul 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- added ncurses-intro.hmtl and hackguide.html to -devel package [bug #3929]

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- make sure ALL binaries are stripped (incl. test binaries)

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- made xterm terminfo stuff MUCH better.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 16)

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- fixed header for C++ compiles

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- add terminfo entries for linux/linux-m on sparc (obsolete termfile_sparc).

* Thu Feb 18 1999 Cristian Gafton <gafton@redhat.com>
- updated patchset from original site

* Thu Dec 03 1998 Cristian Gafton <gafton@redhat.com>
- don't build the C++ demo code
- update patch set to the current as of today (redid all the individual
  patches in a single one)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- make sure to strip the binaries

* Wed Sep 23 1998 Cristian Gafton <gafton@redhat.com>
- added another zillion of patches. The spec file *is* ugly
- defattr

* Mon Jul 20 1998 Cristian Gafton <gafton@redhat.com>
- added lots of patches. This spec file is starting to look ugly

* Wed Jul 01 1998 Alan Cox <alan@redhat.com>
- Fix setuid trusting. Open termcap/info files as the real user.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- added terminfo entry for the poor guys using lat1 and/or lat-2 on their
  consoles... Enjoy linux-lat ! Thanks, Erik !

* Tue Apr 21 1998 Cristian Gafton <gafton@redhat.com>
- new patch to get xterm-color and nxterm terminfo entries
- aliased them to rxvt, as that seems to satisfy everybody

* Sun Apr 12 1998 Cristian Gafton <gafton@redhat.com>
- added %clean section

* Tue Apr 07 1998 Cristian Gafton <gafton@redhat.com>
- removed %{_prefix}/lib/terminfo symlink - we shouldn't need that

* Mon Apr 06 1998 Cristian Gafton <gafton@redhat.com>
- updated to 4.2 + patches
- added BuildRoot

* Sat Apr 04 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt with egcs on alpha

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- version 7 didn't rebuild properly on the Alpha somehow -- no real changes
  are in this version

* Tue Dec 09 1997 Erik Troan <ewt@redhat.com>
- TIOCGWINSZ wasn't used properly

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, linked shared libs against -lc

